Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1485762 - Review Request: ghc-http-client - A basic HTTP client engine
Summary: Review Request: ghc-http-client - A basic HTTP client engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1256073 (view as bug list)
Depends On:
Blocks: 1131026 1176888 1256090 1496285 1496543 1513301
TreeView+ depends on / blocked
 
Reported: 2017-08-28 02:58 UTC by Elliott Sales de Andrade
Modified: 2017-11-19 07:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 00:23:03 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-08-28 02:58:56 UTC
Spec URL: https://qulogic.fedorapeople.org/git-annex/ghc-http-client.spec
SRPM URL: https://qulogic.fedorapeople.org/git-annex/ghc-http-client-0.5.7.0-1.git.71.6718d9a.fc26.src.rpm
Description: An HTTP client engine, intended as a base layer for more user-friendly packages, refactored from http-conduit. Note that, if you want to make HTTPS secure connections, you should use http-client-tls in addition to this library.
Fedora Account System Username: qulogic

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21506189

Comment 1 Elliott Sales de Andrade 2017-08-28 03:00:01 UTC
*** Bug 1256073 has been marked as a duplicate of this bug. ***

Comment 2 Robert-André Mauchin 2017-08-29 15:37:03 UTC
Hello,

The documentation is too large, please make a -doc subpackage:

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2037760 bytes in 59 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2037760 bytes in 59 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (3 clause)", "Unknown or generated".
     31 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/ghc-http-client/review-ghc-http-
     client/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2109440 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-http-client-0.5.7.0-1.fc26.x86_64.rpm
          ghc-http-client-devel-0.5.7.0-1.fc26.x86_64.rpm
          ghc-http-client-0.5.7.0-1.fc26.src.rpm
ghc-http-client.x86_64: W: spelling-error %description -l en_US refactored -> re factored, re-factored, factored
ghc-http-client.x86_64: W: spelling-error %description -l en_US tls -> ts, ls, tbs
ghc-http-client.x86_64: W: no-documentation
ghc-http-client.src: W: spelling-error %description -l en_US refactored -> re factored, re-factored, factored
ghc-http-client.src: W: spelling-error %description -l en_US tls -> ts, ls, tbs
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 3 Elliott Sales de Andrade 2017-08-30 00:31:43 UTC
Split out the docs.

Spec URL: https://qulogic.fedorapeople.org/git-annex/ghc-http-client.spec
SRPM URL: https://qulogic.fedorapeople.org/git-annex/ghc-http-client-0.5.7.0-2.git.0.9f546a1.fc26.src.rpm
Description: An HTTP client engine, intended as a base layer for more user-friendly packages, refactored from http-conduit. Note that, if you want to make HTTPS secure connections, you should use http-client-tls in addition to this library.
Fedora Account System Username: qulogic

koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21538529

Comment 4 Robert-André Mauchin 2017-08-30 09:17:26 UTC
Okay, package accepted.

Comment 5 Jens Petersen 2017-08-30 17:09:25 UTC
I suggest not splitting out the docs - we don't do that for any Haskell packages
currently, though it has been requested at times - so maybe we should in future?

If so better to make the change to cabal-rpm.  200kB is really not that large
anyway.

Comment 6 Elliott Sales de Andrade 2017-08-31 00:29:25 UTC
2037760 is ~2MB not 200KB.

Comment 7 Gwyn Ciesla 2017-08-31 11:04:40 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-http-client

Comment 8 Fedora Update System 2017-09-03 03:18:17 UTC
ghc-http-client-0.5.7.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa27bb2eb6

Comment 9 Fedora Update System 2017-09-03 19:56:01 UTC
ghc-http-client-0.5.7.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-682a8bced5

Comment 10 Fedora Update System 2017-09-04 06:51:39 UTC
ghc-http-client-0.5.7.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa27bb2eb6

Comment 11 Fedora Update System 2017-09-12 00:23:03 UTC
ghc-http-client-0.5.7.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-30 06:14:03 UTC
ghc-http-client-0.5.7.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.